Bug 1012335 - SELinux is preventing /usr/libexec/sssd/sssd_be from 'read' accesses on the directory /etc/openldap/certs.
SELinux is preventing /usr/libexec/sssd/sssd_be from 'read' accesses on the d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:038829f7d1e14369685d53eb298...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 06:02 EDT by Adam Williamson
Modified: 2014-01-16 02:08 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-116.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-16 02:08:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-09-26 06:02:54 EDT
Description of problem:
Restarted sssd.service, alert popped up.
SELinux is preventing /usr/libexec/sssd/sssd_be from 'read' accesses on the directory /etc/openldap/certs.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sssd_be should be allowed read access on the certs directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sssd_be /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sssd_t:s0
Target Context                system_u:object_r:slapd_cert_t:s0
Target Objects                /etc/openldap/certs [ dir ]
Source                        sssd_be
Source Path                   /usr/libexec/sssd/sssd_be
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           sssd-common-1.11.0-1.fc20.x86_64
Target RPM Packages           openldap-2.4.36-1.fc20.x86_64
Policy RPM                    selinux-policy-3.12.1-75.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.12.0-0.rc2.git1.2.fc21.x86_64 #1
                              SMP Wed Sep 25 20:51:25 UTC 2013 x86_64 x86_64
Alert Count                   6
First Seen                    2013-09-26 00:24:44 PDT
Last Seen                     2013-09-26 03:02:06 PDT
Local ID                      125afeef-bc1f-40b5-baa2-8a7e97fb82c4

Raw Audit Messages
type=AVC msg=audit(1380189726.427:656): avc:  denied  { read } for  pid=12082 comm="sssd_be" name="certs" dev="dm-1" ino=266727 scontext=system_u:system_r:sssd_t:s0 tcontext=system_u:object_r:slapd_cert_t:s0 tclass=dir


type=SYSCALL msg=audit(1380189726.427:656): arch=x86_64 syscall=openat success=no exit=EACCES a0=ffffffffffffff9c a1=7f58e8507340 a2=90800 a3=0 items=0 ppid=12081 pid=12082 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=sssd_be exe=/usr/libexec/sssd/sssd_be subj=system_u:system_r:sssd_t:s0 key=(null)

Hash: sssd_be,sssd_t,slapd_cert_t,dir,read

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.12.0-0.rc2.git1.2.fc21.x86_64
type:           libreport
Comment 1 Adam Williamson 2013-11-25 20:12:42 EST
Description of problem:
Just saw it in the troubleshooter now, not sure what triggered it, sorry.

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.12.1-2.fc21.x86_64
type:           libreport
Comment 2 Daniel Walsh 2013-11-26 11:48:35 EST
Fixed in selinux-policy-3.13.1-6.fc21.noarch
Comment 3 Adam Williamson 2013-11-26 12:14:09 EST
This was filed against Fedora 20, not Rawhide (I'm running a *kernel* marked fc21 - I need to use a 3.12 kernel for $REASONS - but the system is F20).
Comment 4 Daniel Walsh 2013-11-26 14:50:15 EST
Ok we need the fix back ported to F20
Comment 5 Miroslav Grepl 2014-01-08 08:02:43 EST
#============= sssd_t ==============

#!!!! This avc is allowed in the current policy
allow sssd_t slapd_cert_t:dir read;

on my F20 box.
Comment 6 Fedora Update System 2014-01-13 17:54:39 EST
selinux-policy-3.12.1-116.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-116.fc20
Comment 7 Fedora Update System 2014-01-15 00:56:18 EST
Package selinux-policy-3.12.1-116.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-116.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0806/selinux-policy-3.12.1-116.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-01-16 02:08:50 EST
selinux-policy-3.12.1-116.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.